function out1 = getIF4( bsave,k )
%beta
out1=[];
for i=1:size(bsave,3)
    out1x=[];
     for j=1:size(bsave,2) 
    b=bsave(:,j,i);
    
    tmp=mcmc_ifac(squeeze(b),k);
    out1x=[out1x;tmp];
    end
    out1=[out1;out1x];
end

end

